org.jboss.jca.codegenerator.xml

## Class AbstractXmlGen

- java.lang.Object
- - org.jboss.jca.codegenerator.BaseGen
  - - org.jboss.jca.codegenerator.xml.AbstractXmlGen

- Direct Known Subclasses:
    BuildGradleGen, BuildIvyXmlGen, BuildXmlGen, IronjacamarXmlGen, IvySettingsXmlGen, IvyXmlGen, MbeanXmlGen, PackageHtmlGen, PomXmlGen, RaXmlGen

      public abstract class AbstractXmlGen
      extends BaseGen

  A AbstractXmlGen.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXmlGen()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate(Definition def, java.io.Writer out)` generate code
    `abstract void` | `writeXmlBody(Definition def, java.io.Writer out)` Output xml

    - ### Methods inherited from class org.jboss.jca.codegenerator.BaseGen

      `writeEol, writeheader, writeIndent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractXmlGen

          public AbstractXmlGen()

  - ### Method Detail

    - #### generate

          public void generate(Definition def,
                               java.io.Writer out)
                        throws java.io.IOException

      generate code
      Parameters:
        `def` - Definition
        `out` - Writer
      Throws:
        `java.io.IOException` - ioException

    - #### writeXmlBody

          public abstract void writeXmlBody(Definition def,
                                            java.io.Writer out)
                                     throws java.io.IOException

      Output xml
      Parameters:
        `def` - definition
        `out` - Writer
      Throws:
        `java.io.IOException` - ioException

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)